TIBCO EMS .NET API 8.5 TIBCO EMS .NET API 8.5

- Main Page
- Related Pages
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Properties | List of all members
TIBCO.EMS.ADMIN.ProducerInfo Class Reference

A ProducerInfo object represents a message producer. More...

## Public Member Functions
override string | ToString ()
| Returns a String that represents the current Object More...

## Properties
long | ID`[get]`
| Returns producer ID. More...
long | SessionID`[get]`
| Returns producer's session ID. More...
long | ConnectionID`[get]`
| Returns producer's connection ID. More...
long | CreateTime`[get]`
| Returns producer's creation time in milliseconds. More...
string | Username`[get]`
| Returns producer's user name. More...
DestinationType | DestinationType`[get]`
| Returns producer's destination type. More...
string | DestinationName`[get]`
| Returns producer's destination name. More...
StatData | Statistics`[get]`
| Returns producer's total statistics. More...
DetailedDestStat[] | DetailedStatistics`[get]`
| Returns producer's detailed statistics. More...

## Detailed Description

A ProducerInfo object represents a message producer.

## Member Function Documentation

override string TIBCO.EMS.ADMIN.ProducerInfo.ToString | ( |  | ) |
| inline

Returns a String that represents the current Object

## Property Documentation

long TIBCO.EMS.ADMIN.ProducerInfo.ConnectionID
| get

Returns producer's connection ID.

Returns
  the producer's connection ID.

long TIBCO.EMS.ADMIN.ProducerInfo.CreateTime
| get

Returns producer's creation time in milliseconds.

Returns
  the producer's creation time in milliseconds.

string TIBCO.EMS.ADMIN.ProducerInfo.DestinationName
| get

Returns producer's destination name.

Returns
  the producer's destination name or null if this is an unidentified producer.

DestinationType TIBCO.EMS.ADMIN.ProducerInfo.DestinationType
| get

Returns producer's destination type.

Returns
  the producer's destination type.

DetailedDestStat [] TIBCO.EMS.ADMIN.ProducerInfo.DetailedStatistics
| get

Returns producer's detailed statistics.

Returns
  the producer's detailed statistics or null if detailed statistics for producers is not enabled.

long TIBCO.EMS.ADMIN.ProducerInfo.ID
| get

Returns producer ID.

Returns
  the producer ID.

long TIBCO.EMS.ADMIN.ProducerInfo.SessionID
| get

Returns producer's session ID.

Returns
  the producer's session ID.

StatData TIBCO.EMS.ADMIN.ProducerInfo.Statistics
| get

Returns producer's total statistics.

Returns
  the producer's total statistics.

string TIBCO.EMS.ADMIN.ProducerInfo.Username
| get

Returns producer's user name.

Returns
  the producer's user name.